# Generated from atlassian_app_versions-0.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name atlassian_app_versions

Name: rubygem-%{gem_name}
Version: 0.2.5
Release: 1%{?dist}
Summary: Obtain info about Atlassian JIRA and other product releases
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-minitest)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Wraps the marketplace.atlassian.com and my.atlassian.com REST APIs to obtain
info about JIRA releases. See commented-out code near end for examples.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/atl_latestver
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/atlassian_app_versions.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.2.5-1
- Initial package
